1. Payment Links
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
  • KYC
    • Account Number Validation Request
    • KYC Validation
    • KYC Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Payment Links
    • Find Payment Links By Id
      GET
    • Create Payment Link
      POST
    • Update Payment Link
      PUT
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. Payment Links

Create Payment Link

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/payment-link/create-payment-link
ShortCode: Unique identifier for the C2B
FirstName: First name of the customer making the payment link
LastName: Last name of the customer making the payment link
EmailAddress: Email Address of the customer
PhoneNumber: Phone Number of the customer
Description:Description of the payment link
IsAmountSpecified: Defines whether it is true or false
Amount:Amount that is being transacted.
RedirectionSite:The site where one will be redirected to after the payment link is successful

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/payment-link/create-payment-link' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "shortCode": "string",
    "firstName": "string",
    "lastName": "string",
    "emailAddress": "user@example.com",
    "phoneNumber": "string",
    "accountReference": "string",
    "paymentType": "string",
    "description": "string",
    "isAmountSpecified": true,
    "amount": 0,
    "currency": "string",
    "redirectionSite": "http://example.com"
}'
Response Response Example
{}
Modified at 2026-01-29 06:18:59
Previous
Find Payment Links By Id
Next
Update Payment Link
Built with